Up

# NSColorPanel

### Authors

Scott Christley (`scottc@net-community.com`)

> System generic color panel

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSColorPanel class
2. Software documentation for the NSApplication(NSColorPanel) category

# Software documentation for the NSColorPanel class

## NSColorPanel : NSPanel

> Declared in:
>   AppKit/NSColorPanel.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +dragColor:withEvent:fromView:
- +setPickerMask:
- +setPickerMode:
- +sharedColorPanel
- +sharedColorPanelExists
- -accessoryView
- -alpha
- -attachColorList:
- -color
- -detachColorList:
- -isContinuous
- -mode
- -setAccessoryView:
- -setAction:
- -setColor:
- -setContinuous:
- -setMode:
- -setShowsAlpha:
- -setTarget:
- -showsAlpha

### dragColor:withEvent:fromView:

+ (BOOL) dragColor: (NSColor*)aColor withEvent: (NSEvent*)anEvent fromView: (NSView*)sourceView;

Description forthcoming.

### setPickerMask:

+ (void) setPickerMask: (int)mask;

Description forthcoming.

### setPickerMode:

+ (void) setPickerMode: (int)mode;

Description forthcoming.

### sharedColorPanel

+ (NSColorPanel*) sharedColorPanel;

Description forthcoming.

### sharedColorPanelExists

+ (BOOL) sharedColorPanelExists;

Description forthcoming.

### accessoryView

- (NSView*) accessoryView;

Description forthcoming.

### alpha

- (float) alpha;

Description forthcoming.

### attachColorList:

- (void) attachColorList: (NSColorList*)aColorList;

Description forthcoming.

### color

- (NSColor*) color;

Description forthcoming.

### detachColorList:

- (void) detachColorList: (NSColorList*)aColorList;

Description forthcoming.

### isContinuous

- (BOOL) isContinuous;

Description forthcoming.

### mode

- (int) mode;

Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)aSelector;

Description forthcoming.

### setColor:

- (void) setColor: (NSColor*)aColor;

Description forthcoming.

### setContinuous:

- (void) setContinuous: (BOOL)flag;

Description forthcoming.

### setMode:

- (void) setMode: (int)mode;

Description forthcoming.

### setShowsAlpha:

- (void) setShowsAlpha: (BOOL)flag;

Description forthcoming.

### setTarget:

- (void) setTarget: (id)anObject;

Description forthcoming.

### showsAlpha

- (BOOL) showsAlpha;

Description forthcoming.

# Software documentation for the NSApplication(NSColorPanel) category

## NSApplication(NSColorPanel)

> Declared in:
>   AppKit/NSColorPanel.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -orderFrontColorPanel:

### orderFrontColorPanel:

- (void) orderFrontColorPanel: (id)sender;

Description forthcoming.

Up